@import url("https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600&display=swap");

* {
  outline: none;
  box-sizing: border-box;
}

:root {
  --body-font: "Inter", sans-serif;
  --theme-bg: #ffffff;
  --body-color: #808191;
  --button-bg: #ffffff;
  --border-color: rgb(128 129 145 / 24%);
  --video-bg: #252936;
  --delay: 0s;
}

body {
  font-family: var(--body-font);
  color: var(--body-color);
  /*background-image: url("https://images.unsplash.com/photo-1445251836269-d158eaa028a6?ixlib=rb-1.2.1&ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&auto=format&fit=crop&w=1951&q=80");*/
  /*background-image: url(https://images.unsplash.com/photo-1520045892732-304bc3ac5d8e?ixlib=rb-1.2.1&ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&auto=format&fit=crop&w=1950&q=80);*/
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: color-dodge;
  background: rgb(2, 0, 36);
  /* background: linear-gradient(90deg, rgb(15, 7, 179) 0%, rgb(25, 25, 212) 35%, rgba(0,212,255,1) 100%);*/
  background-color: 1a1c1f;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 1em 2em;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

body:before {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(163deg, #1f1d2b 21%, rgba(31, 29, 43, 0.3113620448) 64%);
  opacity: 0.4;
  content: "";
}

.container {
  background-color: var(--theme-bg);
  max-width: 100%;
  max-height: 100%;
  height: 95vh;
  display: flex;
  overflow: hidden;
  width: 100%;
  font-size: 15px;
  font-weight: 500;
  position: relative;
  border-radius: 20px;
}


.main-container {
  flex-grow: 1;
  max-width: 100%;
  max-height: 100%;
  overflow: hidden;
  width: 100%;
  height: 100%;
  box-shadow: 0.8rem 0.8rem 1.4rem var(--greyLight-2), -0.2rem -0.2rem 1.8rem var(--white);
  display: flex;
}







/*SIDEBAR*/













.sidebar {
  width: 220px;
  height: 100%;
  padding-left: 30px;
  padding-right: 30px;
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
  transition-duration: 0.2s;
  overflow-y: auto;
  overflow-x: hidden;
  border-right: 1px solid var(--border-color);
}

.sidebar .logo {
  display: none;
  width: 35px;
  height: 35px;
  /*background-color: #22b07d;*/
  flex-shrink: 0;
  color: #fff;
  align-items: center;
  /*border-radius: 50%;*/
  justify-content: center;
}

.sidebar .logo-expand {
  text-decoration: none;
  color: #000000;
  font-size: 19px;
  font-weight: 600;
  line-height: 34px;
  top: 0px;
}

.sidebar .logo-expand:before {
  content: "";
  position: absolute;
  top: -300px;
  left: 0;
  background: var(--theme-bg);
  width: 200px;
  height: 70px;
  z-index: -1;
  background-color: #0aa0f7;
}

.sidebar-link:hover,
.sidebar-link.is-active {
  color: #000000;
  font-weight: 200;
}

.sidebar-link:hover:nth-child(2n+1) svg,
.sidebar-link.is-active:nth-child(2n+1) svg {
  background: #ff7551;
  color: #ffffff;
}

.sidebar-link:hover:nth-child(2n) svg,
.sidebar-link.is-active:nth-child(2n) svg {
  background: #32a7e2;
  color: #ffffff;
}

.sidebar-link:hover:nth-child(2n+3) svg,
.sidebar-link.is-active:nth-child(2n+3) svg {
  background: #6c5ecf;
  color: #ffffff;
}

.sidebar.collapse {
  width: 90px;
  border-right: 1px solid var(--border-color);
  padding: 30px;
}

.sidebar.collapse .logo-expand,
.sidebar.collapse .side-title {
  display: none;
}

.sidebar.collapse .logo {
  display: flex;
}

.sidebar.collapse .side-wrapper {
  width: 30px;
}

.sidebar.collapse .side-menu svg {
  margin-right: 30px;
  align-items: center;
}

@-webkit-keyframes bottom {
  0% {
    transform: translateY(100px);
    opacity: 0;
  }

  100% {
    opacity: 1;
    transform: none;
  }
}

@keyframes bottom {
  0% {
    transform: translateY(100px);
    opacity: 0;
  }

  100% {
    opacity: 1;
    transform: none;
  }
}

.side-menu {
  display: flex;
  flex-direction: column;
}

.side-menu a {
  display: flex;
  align-items: center;
  text-decoration: none;
  color: var(--body-color);
}

.side-menu a+a {
  margin-top: 26px;
}

.side-menu svg {
  width: 40px;
  padding: 8px;
  border-radius: 10px;
  background-color: var(--button-bg);
  box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.15);
  flex-shrink: 0;
  margin-right: 16px;
}

.side-menu svg:hover {
  color: #fff;
}

.side-title {
  font-size: 12px;
  letter-spacing: 0.07em;
  margin-bottom: 24px;
}

.side-wrapper {
  /*border-bottom: 1px solid var(--border-color);*/
  padding: 36px 0;
  width: 145px;
}

.side-wrapper+.side-wrapper {
  border-bottom: none;
}

.home-area {
  display: none;
}

.stato-area {
  display: flex;
  background-color: var(--theme-bg);
  max-width: 100%;
  max-height: 100%;
  height: 95vh;
  overflow: hidden;
  width: 100%;
  font-size: 15px;
  font-weight: 500;
  position: relative;
}






/*MAIN STATO*/






.components {
  max-width: 100%;
  max-height: 100%;
  overflow: hidden;
  width: 100%;
  height: 100%;
  /*box-shadow: 0.8rem 0.8rem 1.4rem var(--greyLight-2), -0.2rem -0.2rem 1.8rem var(--white);*/
  display: flex;
  flex-wrap: wrap;
  align-self: left;
  justify-content: center;
}


@media only screen and (max-width: 1090px) {
  .components {
    max-width: 100%;
    max-height: 100%;
    overflow: hidden;
    width: 100%;
    font-size: 15px;
    font-weight: 500;
    /*box-shadow: 0.8rem 0.8rem 1.4rem var(--greyLight-2), -0.2rem -0.2rem 1.8rem var(--white);*/
    display: flex;
    flex-wrap: wrap;
    align-self: stretch;
    justify-content: center;
  }
}

.condizioni {
  /*background-color: #000000d0;*/
  box-shadow: 0px 0px 10px 0px rgba(104, 104, 104, 0.3);
  border-radius: 20px;
  /*box-shadow: 0.8rem 0.8rem 1.4rem var(--greyLight-2), -0.2rem -0.2rem 1.8rem var(--white);*/
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
  margin-left: 2%;
  margin-top: 1.5%;
  flex: 100%;
  height: 15%;
  margin-right: 2%;
}

.stato {
  max-width: 100%;
  max-height: 100%;
  background-color: rgba(205, 205, 205, 0.3);
  border-radius: 20px;
  /*box-shadow: 0px 0px 10px 0px rgba(104, 104, 104, 0.3);*/
  height: 80%;
  width: 95%;
  margin-left: 3%;
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
  padding-right: 25px;
  justify-content: right;
}


.stato-2 {
  max-width: 100%;
  max-height: 100%;
  background-color: rgba(205, 205, 205, 0.3);
  border-radius: 20px;
  /*box-shadow: 0.8rem 0.8rem 1.4rem var(--greyLight-2), -0.2rem -0.2rem 1.8rem var(--white);*/
  height: 80%;
  width: 95%;
  margin-right: 3%;
  margin-left: 2%;
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
  justify-content: end;
  padding-right: 25px;
}

.text-left {
  max-width: 100%;
  max-height: 100%;
  color: #000000;
  display: grid;
  justify-content: left;
  align-items: left;
  margin-left: 2%;
  font-size: 20px;
  font-weight: 1000;
  position: absolute;
}

.text-right {
  max-width: 100%;
  max-height: 100%;
  color: #000000;
  font-size: 20px;
  font-weight: 1000;
}


.giunti {
  /*background-color: #000000d0;*/
  box-shadow: 0px 0px 10px 0px rgba(104, 104, 104, 0.3);
  border-radius: 20px;
  /*box-shadow: 0.8rem 0.8rem 1.4rem var(--greyLight-2), -0.2rem -0.2rem 1.8rem var(--white);*/
  display: flex;
  justify-content: center;
  flex: 42%;
  height: 75%;
  margin: 2%;
  margin-right: 0px;
  flex-wrap: wrap;
  align-self: stretch;
  justify-content: stretch;
}

.giunti-format {
  max-width: 100%;
  max-height: 100%;
  background-color: rgba(205, 205, 205, 0.3);
  border-radius: 20px;
  /*box-shadow: 0px 0px 10px 0px rgba(104, 104, 104, 0.3);*/
  width: 92.5%;
  flex: 100%;
  margin: 2%;
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
  padding-right: 25px;
  justify-content: right;
}


.info {
  /*background-color: #000000d0;*/
  box-shadow: 0px 0px 10px 0px rgba(104, 104, 104, 0.3);
  border-radius: 20px;
  /*box-shadow: 0.8rem 0.8rem 1.4rem var(--greyLight-2), -0.2rem -0.2rem 1.8rem var(--white);*/
  display: flex;
  flex-wrap: wrap;
  align-self: stretch;
  justify-content: stretch;
  flex: 100%;
  height: 50%;
  margin-bottom: 2%;
  align-self: self-start;
}

.info-format {
  max-width: 100%;
  max-height: 100%;
  background-color: rgba(205, 205, 205, 0.3);
  border-radius: 20px;
  /*box-shadow: 0px 0px 10px 0px rgba(104, 104, 104, 0.3);*/
  width: 92%;
  margin: 2%;
  flex: 100%;
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
  padding-right: 25px;
  justify-content: right;
}

.errori {
  /*background-color: #000000d0;*/
  box-shadow: 0px 0px 10px 0px rgba(104, 104, 104, 0.3);
  border-radius: 20px;
  /*box-shadow: 0.8rem 0.8rem 1.4rem var(--greyLight-2), -0.2rem -0.2rem 1.8rem var(--white);*/
  display: flex;
  flex-wrap: wrap;
  align-self: self-end;
  justify-content: stretch;
  flex: 100%;
  height: 48%;
  align-items: center;
  justify-content: center;
  font-size: 100px;
  color: #000000;
}


.info-errori {
  /*background-color: #000000d0;*/
  /*box-shadow: 0.8rem 0.8rem 1.4rem var(--greyLight-2), -0.2rem -0.2rem 1.8rem var(--white);*/
  display: flex;
  flex-wrap: wrap;
  flex: 45.5%;
  margin: 2%;
  margin-right: 2%;
  margin-left: 2%;
  height: 75%;
}


.errori-in {
  max-width: 100%;
  max-height: 100%;
  background-color: rgba(205, 205, 205, 0.3);
  border-radius: 20px;
  /*box-shadow: 0px 0px 10px 0px rgba(104, 104, 104, 0.3);*/
  height: 95%;
  width: 98%;
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
  padding-right: 25px;
  justify-content: center;
}


























/*MAIN SCACCHIERA*/



.scacchiera {
  display: flex;
  justify-content: center;
  align-content: center;
}

.scacchiera:after {
  content: "";
  display: block;
  padding-bottom: 100%;
}

.item {
  background-color: red;
}


.components-board {
  flex: 100%;
  max-width: 100%;
  max-height: 100%;
  overflow: hidden;
  width: 100%;
  height: 100%;
  /*box-shadow: 0.8rem 0.8rem 1.4rem var(--greyLight-2), -0.2rem -0.2rem 1.8rem var(--white);*/
  display: flex;
  padding-left: 2%;
}


.chess-board {
  border-spacing: 0;
  border-collapse: collapse;
  display: block;
  align-self: center;
  justify-self: left;
  box-shadow: 0px 0px 10px 0px rgba(104, 104, 104, 0.3);
  border-radius: 20px;
  padding-right: 20px;
  padding-bottom: 20px;
  align-items: center;
  justify-content: center;
}


.chess-board th {
  padding: .5em;
  color: #ff7551;
}

.chess-board th+th {
  border-bottom: 2px solid #000;
}

.chess-board th:first-child,
.chess-board td:last-child {
  border-right: 2px solid #000;
}

.chess-board tr:last-child td {
  border-bottom: 2px solid #000;
}

.chess-board th:empty {
  border: none;
}

.chess-board td {
  width: 1.8em;
  height: 1.8em;
  text-align: center;
  font-size: 32px;
  line-height: 0;
}


.chess-board .light {
  background: #eee;
}

.chess-board .dark {
  background: #aaa;
}

td {
  color: black;
}

@media only screen and (min-width: 1500px) and (min-height: 940px) {
  .chess-board td {
    width: 2em;
    height: 2em;
    text-align: center;
    font-size: 32px;
    line-height: 0;
  }

  .chess-board .light {
    background: #eee;
    font-size: 50px;
  }

  .chess-board .dark {
    background: #aaa;
    font-size: 50px;
  }

  td {
    color: black;
    font-size: 300px;
  }
}